Index: /trunk/SRC/ToBeReviewed/MATRICE/cmset_op.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/cmset_op.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/cmset_op.pro	(revision 114)
@@ -154,8 +154,8 @@
 ;   if keyword_set(sortit) then begin
 ;       ;; Sort it manually
-;       ii = sort(a) & b = a(ii)
+;       ii = sort(a) & b = a[ii]
 ;       if keyword_set(non) then wh = where(b EQ shift(b, sh), ct) $
 ;       else                     wh = where(b NE shift(b, sh), ct)
-;       if ct GT 0 then return, ii(wh)
+;       if ct GT 0 then return, ii[wh]
 ;   endif else begin
 ;       ;; Use the user's values directly
@@ -171,9 +171,12 @@
 ;; "first" value, whatever that may mean.
 function cmset_op_uniq, a
+;
+  compile_opt idl2, strictarrsubs
+;
   if n_elements(a) LE 1 then return, 0L
 
-  ii = sort(a) & b = a(ii)
+  ii = sort(a) & b = a[ii]
   wh = where(b NE shift(b, +1L), ct)
-  if ct GT 0 then return, ii(wh)
+  if ct GT 0 then return, ii[wh]
 
   return, 0L
@@ -182,4 +185,7 @@
 function cmset_op, a, op0, b, not1=not1, not2=not2, count=count, $
               empty1=empty1, empty2=empty2, maxarray=ma, index=index
+;
+  compile_opt idl2, strictarrsubs
+;
 
   on_error, 2 ;; return on error
@@ -204,5 +210,5 @@
   ;; Check the operation
   sz = size(op0)
-  if sz(sz(0)+1) NE 7 then begin
+  if sz[sz[0]+1] NE 7 then begin
       OP_ERR:
       message, "ERROR: OP must be 'AND', 'OR' or 'XOR'"
@@ -247,5 +253,5 @@
          if count GT 0 then return, a1 else return, -1L
      endif
-     if count GT 0 then return, a(a1) else return, -1L
+     if count GT 0 then return, a[a1] else return, -1L
      RET_B1:
      count = n2
@@ -253,5 +259,5 @@
          if count GT 0 then return, b1+n1 else return, -1L
      endif         
-     if count GT 0 then return, b(b1) else return, -1L
+     if count GT 0 then return, b[b1] else return, -1L
  endif
 
@@ -266,11 +272,11 @@
 
   ;; Check types of operands
-  sz1 = size(a) & tp1 = sz1(sz1(0)+1)
-  sz2 = size(b) & tp2 = sz2(sz2(0)+1)
+  sz1 = size(a) & tp1 = sz1[sz1[0]+1]
+  sz2 = size(b) & tp2 = sz2[sz2[0]+1]
   if tp1 LT 0 OR tp1 GE 16 OR tp2 LT 0 OR tp2 GE 16 then begin
       message, 'ERROR: unrecognized data types for operands'
       return, -1
   endif
-  if basetype(tp1) NE basetype(tp2) then begin
+  if basetype[tp1] NE basetype[tp2] then begin
       TYPE1_ERR:
       message, 'ERROR: both A and B must be of the same type'
@@ -297,5 +303,5 @@
               count = n_elements(index0)
               if kind then return, index0
-              return, uu(index0)
+              return, uu[index0]
           end
 
@@ -305,19 +311,19 @@
               bi = cmset_op_uniq(b) & nb = n_elements(bi)
               ui = [ai, bi+n1]
-              uu = [a,b]    & uu = uu(ui) ;; Raw union...
-              us = sort(uu) & uu = uu(us) ;; ...and sort
-              if kind then ui = ui(temporary(us)) else ui = 0
+              uu = [a,b]    & uu = uu[ui] ;; Raw union...
+              us = sort(uu) & uu = uu[us] ;; ...and sort
+              if kind then ui = ui[temporary(us)] else ui = 0
 
               ;; Values in one set only will not have duplicates
               wh1 = where(uu NE shift(uu, -1), count1)
               if count1 EQ 0 then return, -1L
-              wh = where(wh1(1:*)-wh1 EQ 1, count)
-              if wh1(0) EQ 0 then begin
+              wh = where(wh1[1:*]-wh1 EQ 1, count)
+              if wh1[0] EQ 0 then begin
                   if count GT 0 then wh = [-1L, wh] else wh = [-1L]
                   count = n_elements(wh)
               endif
               if count EQ 0 then return, -1
-              if kind then return, ui(wh1(wh+1))
-              return, uu(wh1(wh+1))
+              if kind then return, ui[wh1[wh+1]]
+              return, uu[wh1[wh+1]]
           end
 
@@ -327,7 +333,7 @@
               bi = cmset_op_uniq(b) & nb = n_elements(bi)
               ui = [ai, bi+n1]
-              uu = [a,b]    & uu = uu(ui)  ;; Raw union...
-              us = sort(uu) & uu = uu(us)  ;; ...and sort
-              if kind then ui = ui(us) else ui = 0
+              uu = [a,b]    & uu = uu[ui]  ;; Raw union...
+              us = sort(uu) & uu = uu[us]  ;; ...and sort
+              if kind then ui = ui[us] else ui = 0
 
               if NOT keyword_set(not1) AND NOT keyword_set(not2) then begin
@@ -336,8 +342,8 @@
                   ;; they are equal, then the SHIFT() technique below
                   ;; fails.  Do this one by hand.
-                  if na EQ 1 AND nb EQ 1 AND uu(0) EQ uu(1) then begin
+                  if na EQ 1 AND nb EQ 1 AND uu[0] EQ uu[1] then begin
                       count = 1L
                       if kind then return, 0L
-                      return, [uu(0)]
+                      return, [uu[0]]
                   endif
 
@@ -348,22 +354,22 @@
                   ;; This should always select the element from A
                   ;; rather than B (the smaller of the two)
-                  if kind then return, (ui(wh) < ui(wh+1))
-                  return, uu(wh)
+                  if kind then return, (ui[wh] < ui[wh+1])
+                  return, uu[wh]
               endif
 
               ;; For "NOT" cases, we need to identify by set
               ii = make_array(na+nb, value=1b)
-              if keyword_set(not1) then ii(0:na-1) = 0
-              if keyword_set(not2) then ii(na:*)   = 0
-              ii = ii(temporary(us))
+              if keyword_set(not1) then ii[0:na-1] = 0
+              if keyword_set(not2) then ii[na:*]   = 0
+              ii = ii[temporary(us)]
 
               ;; Remove any duplicates
               wh1 = where(uu EQ shift(uu, -1L), count1) ;; Find non-unique
-              if count1 GT 0 then ii([wh1, wh1+1]) = 0
+              if count1 GT 0 then ii[wh1, wh1+1] = 0
               ;; Remainder is the desired set
               wh = where(ii, count)
               if count EQ 0 then return, -1L
-              if kind then return, ui(wh)
-              return, uu(wh)
+              if kind then return, ui[wh]
+              return, uu[wh]
           end
 
@@ -380,5 +386,5 @@
       minn = min1 < min2 & maxx = max1 > max2
       nbins = maxx-minn+1
-      if (maxx-minn) GT floor(ma(0)) then goto, SLOW_SET_OP
+      if (maxx-minn) GT floor(ma[0]) then goto, SLOW_SET_OP
 
       ;; Work around a stupidity in the built-in IDL HISTOGRAM routine
@@ -405,10 +411,10 @@
       result = temporary(wh+minn)
       if tp1 NE tp2 then return, result
-      szr = size(result) & tpr = szr(szr(0)+1)
+      szr = size(result) & tpr = szr[szr[0]+1]
 
       ;; Cast to the original type if necessary
       if tpr NE tp1 then begin
           fresult = make_array(n_elements(result), type=tp1)
-          fresult(0) = temporary(result)
+          fresult[0] = temporary(result)
           result = temporary(fresult)
       endif
@@ -424,9 +430,9 @@
 ;     works, but is complicated, so I forced it to go to SLOW_SET_OP.
 ;     ha = histogram(a, min=minn, max=maxx, reverse=ra) < 1
-;     rr = ra(0:nbins) & mask = rr NE rr(1:*) & ra = ra(rr)*mask-1L+mask
+;     rr = ra[0:nbins] & mask = rr NE rr[1:*] & ra = ra[rr]*mask-1L+mask
 ;     hb = histogram(b, min=minn, max=maxx, reverse=rb) < 1
-;     rr = rb(0:nbins) & mask = rr NE rr(1:*) & rb = rb(rr)*mask-1L+mask
+;     rr = rb[0:nbins] & mask = rr NE rr[1:*] & rb = rb[rr]*mask-1L+mask
 ;     ...  AND/OR/XOR NOT masking here ...
-;     ra = ra(wh) & rb = rb(wh)
+;     ra = ra[wh] & rb = rb[wh]
 ;     return, ra*(ra GE 0) + (rb+n1)*(ra LT 0) ;; is last 'ra' right?
 
Index: /trunk/SRC/ToBeReviewed/MATRICE/colle.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/colle.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/colle.pro	(revision 114)
@@ -70,4 +70,7 @@
 ;------------------------------------------------------------
    PRO UNDEFINE, varname  
+;
+  compile_opt idl2, strictarrsubs
+;
       tempvar = SIZE(TEMPORARY(varname))
    END
@@ -75,4 +78,7 @@
 ;------------------------------------------------------------
 FUNCTION colle, a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19, a20, SAUVE = sauve
+;
+  compile_opt idl2, strictarrsubs
+;
    res = -1
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/MATRICE/congridseb.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/congridseb.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/congridseb.pro	(revision 114)
@@ -51,4 +51,7 @@
 ;------------------------------------------------------------
 function congridseb, tableau, x, y
+;
+  compile_opt idl2, strictarrsubs
+;
    res=tableau
    taille = size(tableau)
Index: /trunk/SRC/ToBeReviewed/MATRICE/different.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/different.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/different.pro	(revision 114)
@@ -47,4 +47,7 @@
 ;------------------------------------------------------------
 FUNCTION different, a, b  
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ; = a and (not b) = elements in A but not in B
Index: /trunk/SRC/ToBeReviewed/MATRICE/extrait.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/extrait.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/extrait.pro	(revision 114)
@@ -85,4 +85,7 @@
 FUNCTION extrait, tab, indicex, indicey, indicez, indicet
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    taille = size(tab)
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/MATRICE/inter.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/inter.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/inter.pro	(revision 114)
@@ -49,4 +49,7 @@
 FUNCTION inter, a, b
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
    case 1 of
       n_elements(a) EQ 0:return,  -1
Index: /trunk/SRC/ToBeReviewed/MATRICE/make_selection.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/make_selection.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/make_selection.pro	(revision 114)
@@ -95,4 +95,7 @@
             only_valid=only_valid,required=required,  $
             quiet=quiet
+;
+  compile_opt idl2, strictarrsubs
+;
  
  
Index: /trunk/SRC/ToBeReviewed/MATRICE/union.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/union.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/union.pro	(revision 114)
@@ -47,4 +47,7 @@
 ;------------------------------------------------------------
 FUNCTION union, a, b
+;
+  compile_opt idl2, strictarrsubs
+;
 IF a[0] LT 0 THEN RETURN, b    ;A union NULL = a
 IF b[0] LT 0 THEN RETURN, a    ;B union NULL = b
Index: /trunk/SRC/ToBeReviewed/MATRICE/zeroun.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/zeroun.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/MATRICE/zeroun.pro	(revision 114)
@@ -35,4 +35,7 @@
 ;------------------------------------------------------------
 function zeroun, n1,n2
+;
+  compile_opt idl2, strictarrsubs
+;
    CASE N_PARAMS() OF
       1:return, findgen(n1) mod 2
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 114)
@@ -131,4 +131,7 @@
           outline=outline,overplot=overplot,background=background, $
           rotate=rotate, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 if (n_params(d) eq 0) then begin  ;Print call & return if no parameters
   print,'bar_test,values,baselines=baselines,colors=colors,barnames=barnames,$'
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 114)
@@ -304,4 +304,7 @@
 ;---------------------------------------------------------
 ; include common
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 114)
@@ -160,4 +160,7 @@
 ;---------------------------------------------------------
 ; include common
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
@@ -239,7 +242,7 @@
     notanum = where(finite(z1d) EQ 0)
     z1d[notanum] = 0
-    mask(where(z1d LT valmask/10)) = 1
+    mask[where(z1d LT valmask/10)] = 1
     z1d[notanum] = !values.f_nan
-  ENDIF ELSE mask(where(z1d LT valmask/10)) = 1
+  ENDIF ELSE mask[where(z1d LT valmask/10)] = 1
 ;-----------------------------------------------------------------------------
 ; determination du min et du max apres la moyenne
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 114)
@@ -135,4 +135,7 @@
              , _EXTRA = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
   IF NOT keyword_set(key_forgetold) THEN BEGIN
@@ -215,5 +218,5 @@
 ; ds le cas on unsur2 est active on reduit levels
     if NOT keyword_set(nocontour) then begin
-      IF keyword_set(unsur2) THEN levels = levels(where(zeroun(n_elements(levels) ) eq 1))
+      IF keyword_set(unsur2) THEN levels = levels[where(zeroun(n_elements(levels) ) eq 1)]
 ; unlabsur est active?  C_LABEL est passe via _EXTRA?
       if keyword_set(unlabsur) THEN IF chkstru(ex, 'C_LABELS') THEN $
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro	(revision 114)
@@ -3,4 +3,7 @@
 ;
 ; scatter plot (inspired from plt1d)
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 114)
@@ -306,4 +306,7 @@
 ;---------------------------------------------------------
 ; include common
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 114)
@@ -266,4 +266,7 @@
 ;---------------------------------------------------------
 ; include common
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 114)
@@ -51,4 +51,7 @@
 
 PRO sbar_plot, Values, COLORS = colors, NOREINITPLT = noreinitplt, _extra = ex 
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; 1) je reinitialise l''environnememt graphique (les variables !x, !y et !p): 
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 114)
@@ -41,4 +41,7 @@
 ;------------------------------------------------------------
 PRO scontour, x, y, z, NOREINITPLT = noreinitplt, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; 1) je reinitialise l''environnememt graphique (les variables !x, !y et !p): 
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 114)
@@ -46,4 +46,7 @@
 ;------------------------------------------------------------
 PRO splot,  x, y, NOREINITPLT = noreinitplt, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; 1) je reinitialise l''environnememt graphique (les variables !x, !y et !p): 
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 114)
@@ -86,4 +86,7 @@
             , MIN = min, MAX = max, MASK = mask, OFFSET = offset, NOUSEINFOS = NOUSEINFOS $
             , NCOLORS = ncolors, NOINTERP = nointerp, _EXTRA = ex
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   IF n_elements(z2d) EQ 0 THEN return
@@ -136,8 +139,8 @@
     if abs(mask) LT 1e6 then BEGIN 
       masked = where(arr EQ mask)
-      if masked[0] NE -1 then arr(masked) = min(arr(where(arr NE mask)))
+      if masked[0] NE -1 then arr[masked] = min(arr[where(arr NE mask)])
     ENDIF ELSE BEGIN 
       masked = where(abs(arr) GE abs(mask)/10.)
-      if masked[0] NE -1 then arr(masked) = min(arr(where(abs(arr) LT abs(mask)/10.)))
+      if masked[0] NE -1 then arr[masked] = min(arr[where(abs(arr) LT abs(mask)/10.)])
     ENDELSE
   ENDIF ELSE masked = -1
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 114)
@@ -37,4 +37,7 @@
 ;------------------------------------------------------------
 PRO addaxe, endpoints, type, posfenetre, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;---------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 114)
@@ -42,4 +42,7 @@
 ; ce CI est un multiple de l'unite en unite log de 10.
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
     ci = (max-min)/20.
     ci = 10.^floor(alog10(ci))
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 114)
@@ -41,4 +41,7 @@
 ;
 ; include common
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 114)
@@ -25,4 +25,7 @@
                   , CB_SUBTITLE = cb_subtitle, POST = post, _extra = ex
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_general
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 114)
@@ -40,4 +40,7 @@
 ;------------------------------------------------------------
 FUNCTION err_1d, type, n1, name, n2
+;
+  compile_opt idl2, strictarrsubs
+;
   return, report(['Error in "' + type + '" type plot with a 1D input array:' $
                   , 'the number of elements of the input vector ('+strtrim(n1, 1)+') ' $
@@ -46,4 +49,7 @@
 ;
 FUNCTION err_2d, type, sz, nx, ny, nz
+;
+  compile_opt idl2, strictarrsubs
+;
   @cm_4mesh
   @cm_4cal
@@ -59,4 +65,7 @@
 ;
 FUNCTION err_3d, type, sz, nx, ny, nz
+;
+  compile_opt idl2, strictarrsubs
+;
   @cm_4mesh
   @cm_4cal
@@ -74,4 +83,7 @@
 FUNCTION checkfield, field, procedure, TYPE = type, BOXZOOM = boxzoom, DIREC = direc, NOQUESTION = noquestion, VECTEUR = vecteur, WDEPTH = wdepth, _EXTRA = ex
 ;--------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 ; include commons
 @cm_4mesh
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro	(revision 114)
@@ -36,4 +36,7 @@
                      , XINDEX = xindex, YINDEX = yindex $
                      , ENDPOINTS = endpoints, _extra = ex
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 @common
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 114)
@@ -44,4 +44,7 @@
 ;------------------------------------------------------------
 PRO determineminmax, tab, mask, vraimin, vraimax, glam, gphi, MAXIN = maxin, MININ = minin, INTERVALLE = intervalle, usetri = usetri, ZEROMIDDLE = zeromiddle, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;-----------------------------------------------------------------------------
@@ -71,5 +74,5 @@
   endif
 ; ma et mi : max et min sur les points mer
-  vraimax = max(tab(mer), min = vraimin, _extra = ex)
+  vraimax = max(tab[mer], min = vraimin, _extra = ex)
   sameminmax = testvar(var = minin) EQ testvar(var = maxin) 
   if n_elements(maxin) EQ 0 OR sameminmax then maxin = vraimax
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/givewindowsize.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/givewindowsize.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/givewindowsize.pro	(revision 114)
@@ -3,4 +3,7 @@
 ;------------------------------------------------------------
 ; include commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4ps
 IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro	(revision 114)
@@ -23,4 +23,7 @@
 ;------------------------------------------------------------
 PRO meridienparallele, coupe
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 114)
@@ -42,4 +42,7 @@
 ;------------------------------------------------------------
 ; include commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4ps
    IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 114)
@@ -56,4 +56,7 @@
 ;---------------------------------------------------------
 ; include common
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4ps
 @cm_4mesh
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/projsegment.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/projsegment.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/projsegment.pro	(revision 114)
@@ -50,4 +50,7 @@
 FUNCTION projsegment, vecteur, bornes, MP = mp
 ;--------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    a1 = float(vecteur[0])
    b1 = float(vecteur[n_elements(vecteur)-1])
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 114)
@@ -29,4 +29,7 @@
 ;------------------------------------------------------------
 PRO restoreatt, struct
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/rotation.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/rotation.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/rotation.pro	(revision 114)
@@ -28,4 +28,7 @@
 
 PRO ROTATION,X,Y,DEG,NX,NY
+;
+  compile_opt idl2, strictarrsubs
+;
 ang=deg*!dtor
 
@@ -35,5 +38,5 @@
 ;get angle in for loop so that zero radii will be left as zero angle
 for i = 0,n_elements(r)-1 do $
-if r(i) ne 0 then theta(i) = atan(y(i),x(i))  ;range from -pi to +pi
+if r[i] ne 0 then theta[i] = atan(y[i],x[i])  ;range from -pi to +pi
 ;
 ;add rotation angle
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro	(revision 114)
@@ -26,4 +26,7 @@
 ;------------------------------------------------------------
 FUNCTION saveatt
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    return, {n:varname,g:vargrid,d:vardate,e:varexp,u:varunit,m:valmask}
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 114)
@@ -34,4 +34,7 @@
 PRO terminedessin, POST = post, SMALL = small, _extra = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4ps
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label.pro	(revision 114)
@@ -50,4 +50,7 @@
 pro label, cas, min, max, ncontour, level_z2d, colnumb, NLEVEL = nlevel $
           ,INTERVALLE=intervalle, STRICTFILL = strictfill
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    if !d.name EQ 'PS' OR !d.name EQ 'Z' then BEGIN
@@ -83,5 +86,5 @@
          level_z2d = min + intervalle*findgen(Ncontour) 
          colnumb   = ncoul*(findgen(Ncontour))/Ncontour+ncoul/(2*ncontour)
-         max=level_z2d(Ncontour-1)+intervalle
+         max=level_z2d[Ncontour-1]+intervalle
       end
 ; label pour faire les memes sss que dessier
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro	(revision 114)
@@ -99,4 +99,7 @@
 FUNCTION LABEL_DATE, axis, index, x, DATE_FORMAT = format, MONTHS = months, $
               OFFSET= offs, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON label_date_com, fmt, month_chr, offset
 
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_gmt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_gmt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_gmt.pro	(revision 114)
@@ -3,4 +3,7 @@
 ;
 PRO label_gmt, min, max, intervalle, ncoul, ncontour, level_z2d, coul
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 @com_eg
@@ -22,5 +25,5 @@
       ncontour  = fix((max-min)/intervalle)
       level_z2d = min + intervalle*findgen(Ncontour) 
-      max=level_z2d(Ncontour-1)+intervalle
+      max=level_z2d[Ncontour-1]+intervalle
 
       print, '     Number of contour intervals, plotting min & max ', ncontour, min, max
@@ -40,5 +43,5 @@
            ; difference plot : lighter below first negative interval
             red[51:98] = long((100.-float(grey_shade_2))/100.*255.)
-            red(1:48) = long((100.-float(grey_shade))/100.*255.)
+            red[1:48] = long((100.-float(grey_shade))/100.*255.)
             red[50] = 255
 
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lataxe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lataxe.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lataxe.pro	(revision 114)
@@ -38,4 +38,7 @@
 ;------------------------------------------------------------
 ; on ramenne value ds le segment [0,180]
+;
+  compile_opt idl2, strictarrsubs
+;
    lat=value mod 360
    if lat lt 0 then lat=lat+360
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lonaxe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lonaxe.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lonaxe.pro	(revision 114)
@@ -38,4 +38,7 @@
 ;------------------------------------------------------------
 ; on ramenne value ds le segment [0,360[
+;
+  compile_opt idl2, strictarrsubs
+;
    lon=value mod 360
    if lon lt 0 then lon=lon+360
